Summary: 	Scanner module for OpenVAS
Name:		openvas-scanner
Version:	3.0.2
Release:	%mkrel 1
Source:		http://wald.intevation.org/frs/download.php/561/%name-%version.tar.gz
Source1:	openvas-scanner.init
Source2:	openvas-scanner.logrotate
Group:		System/Servers
Url:		http://www.openvas.org
License:	GPLv2+
BuildRoot:	%{_tmppath}/%name-%{version}-root
BuildRequires:	openvas-devel >= 3.0.0
Obsoletes:	openvas-plugins < 3.0.0
Obsoletes:	openvas-server < 3.0.0
Provides:	openvas-server = %{version}-%{release}

%description
This is the scanner module for the Open Vulnerability Assessment System
(OpenVAS).

%prep
%setup -q -n %name-%version

%build
%serverbuild
%configure2_5x --disable-static \
	--sharedstatedir=%{_localstatedir}/lib --enable-syslog
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -D -m644 %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/openvas-scanner
install -D -m744 %SOURCE1 %{buildroot}%{_initrddir}/openvas-scanner

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Generate cert
if [ ! -f  %{_localstatedir}/lib/openvas/CA/servercert.pem ] ; then
        %{_sbindir}/openvas-mkcert -q > /dev/null 2>&1
fi

%_post_service openvas-scanner

%preun
%_preun_service openvas-scanner

%files
%defattr(-,root,root)
%config %{_sysconfdir}/logrotate.d/openvas-scanner
%{_initrddir}/openvas-scanner
%{_libdir}/openvas/plugins
%{_bindir}/openvas-mkcert-client
%{_bindir}/openvas-mkrand
%{_sbindir}/openvas-adduser
%{_sbindir}/openvas-mkcert
%{_sbindir}/openvas-rmuser
%{_sbindir}/openvassd
%{_sbindir}/openvas-nvt-sync
%{_sbindir}/greenbone-nvt-sync
%{_mandir}/man1/openvas-mkcert-client.1.*
%{_mandir}/man1/openvas-mkrand.1.*
%{_mandir}/man8/openvas-adduser.8.*
%{_mandir}/man8/openvas-mkcert.8.*
%{_mandir}/man8/openvas-rmuser.8.*
%{_mandir}/man8/openvassd.8.*
%{_mandir}/man8/openvas-nvt-sync.8.*
%{_localstatedir}/cache/openvas
%{_localstatedir}/lib/openvas
%config %dir %{_sysconfdir}/openvas
%dir %{_localstatedir}/log/openvas


%changelog
* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2010.1
+ Revision: 536369
- New version 3.0.2

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 480341
- New version 3.0.0
- rename package

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 2.0.3-3mdv2010.1
+ Revision: 465966
- requires openvas-plugins

* Fri Oct 02 2009 Funda Wang <fwang@mandriva.org> 2.0.3-2mdv2010.0
+ Revision: 452492
- add initscript

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2010.0
+ Revision: 451974
- fix str fmt
- New version 2.0.3

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2010.0
+ Revision: 370448
- import openvas-server


